Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlInterface

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlInterface

All Implemented Interfaces:
  idlInterface, idlObject, java.io.Serializable

public class IdlInterface
extends IdlObject
implements idlInterface

Cette classe represente l'objet IDL Interface

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlInterface(IdlObject father)` Cree un objet IDL Interface

Method Summary
`boolean` | `abstract_interface()` Retourne le flag qui indique si l'interfac est abstract
`void` | `abstract_interface(boolean value)` Fixe le fait que l'interface est abstract
`void` | `addInheritance(IdlObject obj)` Ajoute un ancetre a la liste d'heritage
`void` | `defined(IdlInterface itf)` Indique que l'interface est definie
`idlObject` | `description()` Return the interface description
`void` | `forward()` Indique que l'interface est forwardee
`java.util.Vector` | `getInheritance()` Recupere la liste des ancetres
`IdlInterface` | `getInterface()` Retourne la veritable interface ( non forward )
`idlInterface[]` | `inheritance()` Return the inheritance list
`boolean` | `isAbstract()` Return TRUE if this interface is abstract
`boolean` | `isDefined()` Retourne le flag qui indique si l'interface est definie
`boolean` | `isForward()` Retourne le flag qui indique si l'interface est forwardee
`boolean` | `isLocal()` Return TRUE if this interface is local
`boolean` | `local_interface()` Retourne le flag qui indique si l'interface est locale
`void` | `local_interface(boolean value)` Fixe le fait que l'interface est locale
`IdlObject` | `returnInheritedObject(java.lang.String name)` This method returns an inherited object
`IdlObject` | `searchObject(java.lang.String name)` This method returns an contained object
`void` | `setInterface(IdlInterface itf)` Fixe la veritable interface ( non forward )

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnObject, returnVisibleObject, root, sameAs, search, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlInterface

    public IdlInterface(IdlObject father)

  Cree un objet IDL Interface

Method Detail

### forward

    public void forward()

  Indique que l'interface est forwardee

### isForward

    public boolean isForward()

  Retourne le flag qui indique si l'interface est forwardee
  Specified by:
    `isForward` in interface `idlInterface`
  Returns:
    le flag

### abstract_interface

    public void abstract_interface(boolean value)

  Fixe le fait que l'interface est abstract

### abstract_interface

    public boolean abstract_interface()

  Retourne le flag qui indique si l'interfac est abstract

### local_interface

    public void local_interface(boolean value)

  Fixe le fait que l'interface est locale

### local_interface

    public boolean local_interface()

  Retourne le flag qui indique si l'interface est locale

### defined

    public void defined(IdlInterface itf)

  Indique que l'interface est definie

### isDefined

    public boolean isDefined()

  Retourne le flag qui indique si l'interface est definie
  Returns:
    le flag

### addInheritance

    public void addInheritance(IdlObject obj)

  Ajoute un ancetre a la liste d'heritage
  Parameters:
    `obj` - l'objet ancetre

### getInheritance

    public java.util.Vector getInheritance()

  Recupere la liste des ancetres
  Returns:
    la liste des ancetres

### getInterface

    public IdlInterface getInterface()

  Retourne la veritable interface ( non forward )
  Returns:
    l'interface

### setInterface

    public void setInterface(IdlInterface itf)

  Fixe la veritable interface ( non forward )
  Parameters:
    `itf` - la veritable interface

### returnInheritedObject

    public IdlObject returnInheritedObject(java.lang.String name)

  This method returns an inherited object
  Overrides:
    `returnInheritedObject` in class `IdlObject`

### searchObject

    public IdlObject searchObject(java.lang.String name)

  This method returns an contained object
  Overrides:
    `searchObject` in class `IdlObject`

### isAbstract

    public boolean isAbstract()

  Description copied from interface: `idlInterface`
  Return TRUE if this interface is abstract
  Specified by:
    `isAbstract` in interface `idlInterface`

### isLocal

    public boolean isLocal()

  Description copied from interface: `idlInterface`
  Return TRUE if this interface is local
  Specified by:
    `isLocal` in interface `idlInterface`

### description

    public idlObject description()

  Description copied from interface: `idlInterface`
  Return the interface description
  Specified by:
    `description` in interface `idlInterface`

### inheritance

    public idlInterface[] inheritance()

  Description copied from interface: `idlInterface`
  Return the inheritance list
  Specified by:
    `inheritance` in interface `idlInterface`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD